* version 0.9.8
  - fixed issue #71 "local port is always zero"
* version 0.9.8
  - removed support for ruli
  - lots of internal refactoring to make sipsak compile with -fno-common (>= gcc-10)
* version 0.9.7
  - added new option -E which overrules SRV result
  - added new option -J to take ha1 instead of password
  - dont retransmit on reliable transports
  - added --disable-ips configure option which allows to compile the oldstyle --numeric behavior
  - added new option -k only available with TLS support
  - added 'star' as special word for the contact option -C
  - fixed overwritting of outbound proxy if domainname is an IP; thanks to Alexander Litvak
  - added option -Z to modify SIP_T1 at run time
  - added syslog support
  - enabled -c parameter for Inivte mode
  - added new options for TLS (ca-cert, client-cert, ignore-cert-failure)
    Note: these options are only available as long options
  - added option to ignore TLS certificate verification errors
  - added option -k, --local-ip
  - added SHA-256 as a possible algorithm for digest authentication
* version 0.9.6
  - added new option -j to add a header
  - added support for multiple variable replacement (option -g)
  - added support for reading password from stdin
  - added support for SHA1 as digest algorithm for authentication
  - added supoprt for multiple test runs to calculate avarage timming values
  - fixed support for cygwin
  - fixed using wrong interface and symmetric signaling when running as root
  - fixed mem leak when using ares
* version 0.9.5
  - added support for TCP transport
  - added new option -E to specify the transport
  - renamed --invite-timeout to --timeout-after
  - added support for c-ares for DNS SRV lookups (http://daniel.haxx.se/projects/c-ares/)
  - improved lib ruli detection
  - openssl detection is only done when gnutls is missing
  - added username to flood mode
  - fixed millisecond sleep (thanks to Juri Glass)
  - fixed variable replacing (thanks to Todd Ingarfield)
  - fixed MD5 detection and compilation
  - re-enabled compilation and usage for CygWin
* version 0.9.2
  - added new option -D to specify maximum INVITE timeout value
  - option -c takes From header for MESSAGE's
  - added support for gnutls, which is preferred over openssl now
    see configure options --disable-gnutls and --with-libgnutls-prefix
  - fixed compilation for Solaris
  - fixed ACK building
  - fixed several issues with ports and usernames in ruri and outbound proxy
  - fixed mis-interpretation of ICMP error messages
  - fixed wrong port from SRV entry
  - fixed sipsk was still case-sensitive although strcasecmp was available
* version 0.9.1
  - added RFC compliant retransmissons of INVITE requests
  - fixed compilation errors for BSD and MacOSX
  - ACK creation will be rejected for strict routing
  - removed obsoleted options from configure
* version 0.9.0
  - added new option -S to allow symmetrical signaling in non-root mode
  - the option -z now takes an percent argument for the likeliness of binding
    removale
  - Via contains now branch with magic cookie
  - INVITE replies will be answered with ACKs automatically
  - basic support for Record-Route and loose routing (strict routing is not
    supported yet)
  - if an outbound proxy was given it will even be used after being redirected
  - request source and destiantion will be printed by -vvv
  - the read in file will be checked for conatining an empty line as body
    separator
  - fixed wrong checking for getopt header in configure
  - usage of global functions for memory allocation and integer conversion
  - separated the code into several small functions to make it easier
    understandable and better mantainable for the future
* version 0.8.13
  - nonce count contains the required leading zeros now
  - content length is printed as integer and not as hex value
  - DNS SRV lookup support through libruli (for target URI, outbound proxy and
    redirects)
  - all comparisons are now case in-sensitiv if suport by the system
  - destination port can be given in the outbound proxy argument
* version 0.8.12
  - Nagios compliant return codes (-N)
  - use strcasestr if available for case-insensitive compareings
  - ACK will be send for 40[17] replies on INVITE
  - just return the timing values of the operation (-A)
  - relaxed Contact check of option -C
  - numeric (-n) is now on by default
* version 0.8.11
  - try authentication with empty password instead of username if no
    password is given
  - support to read SIP message from standard input (-f -)
  - insert missing CR in front of LF (-L)
  - use different username for authentication (-u)
  - use multiple processes for usrloc, message and invite mode (-P)
  - search for a string in the reply with a regular expression (-q)
* version 0.8.10
  - send instant messages (just -M)
  - RFC 3261 compliant retransmission timer
  - added From (and To) tags
  - use MD5 from openssl if available
  - new argument -C to use any given contact value, even empty
  - support long options if available
  - support Nagios warn level with optional numbers of retransmissions
  - use a raw socket if available to support broken RFC 3581 implementations
  - small fixes and betaufications
* version 0.8.9
  - added Nagios compliant exit codes
  - fixed missing replies from un-symmetric servers
  - added outbound proxy option
  - fixed SIP issues (CSeq increasement on authorization and added missing To and From tags)
* version 0.8.8
  - added -p option to use an outbound proxy
  - added -C option to use given Contact in REGISTER
  - fixed authentication failure when password given as last option
* version 0.8.7
  - merged listening and sending socket into one
  - added rport parameter to all Via lines
  - improved error reporting on host name resolving problems
* version 0.8.6
  - fixed wrong number of retries and timeouts from configure
  - fixed missing username in default mode
* version 0.8.5
  - separated code into several files
  - introduced autoconf & automake
  - added option -o for sleeping between requests
  - added option -H to overwrite automatic hostname detection
  - ignores provisional responses in usrloc mode
  - added support for proxy authorization (407)
  - fixed missing port from uri in requests
  - number of retrys is configure option
  - maximum timeout value is configure option
